Bug 524446 - setroubleshoot: SELinux is preventing /usr/bin/nautilus from making the program stack executable.
Summary: setroubleshoot: SELinux is preventing /usr/bin/nautilus from making the ...
Keywords:
Status: CLOSED DUPLICATE of bug 523874
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:b70abcb8752...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-20 10:24 UTC by Moisés Ramos
Modified: 2015-03-03 22:40 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-29 16:17:07 UTC


Attachments (Terms of Use)

Description Moisés Ramos 2009-09-20 10:24:27 UTC
The following was filed automatically by setroubleshoot:

Resúmen:

SELinux is preventing /usr/bin/nautilus from making the program stack
executable.

Descripción Detallada:

The nautilus application attempted to make its stack executable. This is a
potential security problem. This should never ever be necessary. Stack memory is
not executable on most OSes these days and this will not change. Executable
stack memory is one of the biggest security problems. An execstack error might
in fact be most likely raised by malicious code. Applications are sometimes
coded incorrectly and request this permission. The SELinux Memory Protection
Tests (http://people.redhat.com/drepper/selinux-mem.html) web page explains how
to remove this requirement. If nautilus does not work and you need it to work,
you can configure SELinux temporarily to allow this access until the application
is fixed. Please file a bug report.

Permitiendo Acceso:

Sometimes a library is accidentally marked with the execstack flag, if you find
a library with this flag you can clear it with the execstack -c LIBRARY_PATH.
Then retry your application. If the app continues to not work, you can turn the
flag back on with execstack -s LIBRARY_PATH. Otherwise, if you trust nautilus to
run correctly, you can change the context of the executable to execmem_exec_t.
"chcon -t execmem_exec_t '/usr/bin/nautilus'" You must also change the default
file context files on the system in order to preserve them even on a full
relabel. "semanage fcontext -a -t execmem_exec_t '/usr/bin/nautilus'"

Comando para Corregir:

chcon -t execmem_exec_t '/usr/bin/nautilus'

Información Adicional:

Contexto Fuente               unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Contexto Destino              unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Objetos Destino               None [ process ]
Fuente                        nautilus
Dirección de Fuente          /usr/bin/nautilus
Puerto                        <Desconocido>
Nombre de Equipo              (removed)
Paquetes RPM Fuentes          nautilus-2.27.92-2.fc12
Paquetes RPM Destinos         
RPM de Políticas             selinux-policy-3.6.32-6.fc12
SELinux Activado              True
Tipo de Política             targeted
MLS Activado                  True
Modo Obediente                Enforcing
Nombre de Plugin              allow_execstack
Nombre de Equipo              (removed)
Plataforma                    Linux (removed) 2.6.31-33.fc12.x86_64 #1 SMP
                              Thu Sep 17 15:40:43 EDT 2009 x86_64 x86_64
Cantidad de Alertas           3
Visto por Primera Vez         dom 20 sep 2009 12:23:39 CEST
Visto por Última Vez         dom 20 sep 2009 12:23:41 CEST
ID Local                      711b5493-c38d-47f5-9846-dde9b09deecf
Números de Línea            

Mensajes de Auditoría Crudos 

node=(removed) type=AVC msg=audit(1253442221.322:24): avc:  denied  { execstack } for  pid=1921 comm="nautilus" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process

node=(removed) type=SYSCALL msg=audit(1253442221.322:24): arch=c000003e syscall=10 success=no exit=-13 a0=7fff7c9ec000 a1=1000 a2=1000007 a3=3c2661aaf9 items=0 ppid=1721 pid=1921 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="nautilus" exe="/usr/bin/nautilus" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= unconfined_t ==============
allow unconfined_t self:process execstack;

Comment 1 Daniel Walsh 2009-09-20 11:59:04 UTC
Nautilus should not need this priv.

Comment 2 Tomáš Bžatek 2009-09-29 16:17:07 UTC

*** This bug has been marked as a duplicate of bug 523874 ***


Note You need to log in before you can comment on or make changes to this bug.